package vn.hus.nlp.sd;

import java.io.File;
import java.io.IOException;

import opennlp.maxent.EventStream;
import opennlp.maxent.GIS;
import opennlp.maxent.GISModel;
import opennlp.maxent.io.SuffixSensitiveGISModelWriter;
import opennlp.tools.sentdetect.SDEventStream;

public class SDModelTrainer
{
  public static GISModel train(EventStream paramEventStream, int paramInt1, int paramInt2)
    throws IOException
  {
    return GIS.trainModel(paramEventStream, paramInt1, paramInt2);
  }

  public static GISModel train(String paramString, int paramInt1, int paramInt2, EndOfSentenceScanner paramEndOfSentenceScanner)
    throws IOException
  {
    XMLDataStream localXMLDataStream = new XMLDataStream(paramString);
    SDEventStream localSDEventStream = new SDEventStream(localXMLDataStream, paramEndOfSentenceScanner);
    return GIS.trainModel(localSDEventStream, paramInt1, paramInt2);
  }

  public static GISModel train(String paramString, int paramInt1, int paramInt2)
    throws IOException
  {
    return train(paramString, paramInt1, paramInt2, new EndOfSentenceScanner());
  }

  public static void createModel(String paramString)
  {
    String str1 = "";
    String str2 = "";
    if (paramString.equalsIgnoreCase("french"))
    {
      str1 = "resources/data/lang/fr/training.xml";
      str2 = "resources/models/sentdetect/FrenchSD.bin.gz";
    }
    if (paramString.equalsIgnoreCase("vietnamese"))
    {
      str1 = "data/training.xml";
      str2 = "resources/models/sd/VietnameseSD.bin.gz";
    }
    try
    {
      System.err.println("Training the model on corpus: " + str1);
      GISModel localGISModel = train(str1, 100, 5);
      File localFile = new File(str2);
      System.err.println("Saving the model as: " + localFile);
      new SuffixSensitiveGISModelWriter(localGISModel, localFile).persist();
    }
    catch (IOException localIOException)
    {
      localIOException.printStackTrace();
    }
  }

  public static void main(String[] paramArrayOfString)
  {
    createModel("vietnamese");
    System.out.println("Done.");
  }
}

/* Location:           C:\Downloads\vn.hus.nlp.tokenizer-4.1.1-bin.tar\lib\vn.hus.nlp.sd-2.0.0.jar
 * Qualified Name:     vn.hus.nlp.sd.SDModelTrainer
 * JD-Core Version:    0.6.0
 */